﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using PTMedicalInsurance.Common;
using PTMedicalInsurance.Variables;

namespace PTMedicalInsurance.Forms
{
    public partial class Frm_DRG : Form
    {
        public Frm_DRG()
        {
            InitializeComponent();
        }

        private void btnExit_Click(object sender, EventArgs e)
        {
            Close();
        }

        public static string setCenterInputHeader(string sJYM,string sYWZQH, string DataInput)
        {
            string Result = "";
            Global.inf.Info = sJYM;
            Global.inf.InsuHosNo = "H22010402422";
            Global.inf.BusinessID = sYWZQH;

            if ((sJYM != "9100") && (sYWZQH == ""))                                 
            {
                MessageBox.Show("业务周期号不能为空！");
                return "";
            }

            //Global.inf.BusinessID = "";
            Global.inf.BusinessLSH = Global.inf.InsuHosNo + "0000" + DateTime.Now.ToString("yyyyMMddHHmmss");

            Result = sJYM + "^" + Global.inf.InsuHosNo + "^" + Global.inf.BusinessNo + "^" + Global.inf.BusinessLSH + "^0000" + "^" + DataInput + "^1";
            return Result;        
        }

        public void btnInit_Click(object sender, EventArgs e)
        {
            string ReMsg = "";
            int iRtn = -1;
            ChangChun_DRG CC_DRG = new ChangChun_DRG();
            iRtn = CC_DRG.Init_DRG(out ReMsg);

            if (iRtn == 0)
            {
                rtb_InPutPar.Text = "初始化INIT无入参！";
                rtb_OutPar.Text = "调用初始化INIT成功!";
            }
            else
            {
                rtb_OutPar.Text = "调用初始化INIT失败，医保动态库返回："+ ReMsg;
            }
        }

        public void btnSign_Click(object sender, EventArgs e)
        {
            string ReMsg = "";
            int iRtn = -1;

            string sInput = setCenterInputHeader("9100", "", "");

            rtb_InPutPar.Text = sInput;

            ChangChun_DRG CC_DRG = new ChangChun_DRG();
            iRtn = CC_DRG.Business_DRG(sInput,out ReMsg);

            if (iRtn == 0)
            {                
                rtb_OutPar.Text = "调用BUSINESS_HANDLE-签到-成功，返回值：" + ReMsg;
            }
            else
            {
                rtb_OutPar.Text = "调用BUSINESS_HANDLE-签到-失败，医保动态库返回：" + ReMsg;
            }
        }

        public void btnBussines_Click(object sender, EventArgs e)
        {
            string ReMsg = "";
            int iRtn = -1;

            string sInput = setCenterInputHeader(tb_JYM.Text, tbBusinessNO.Text, rtb_InPutPar.Text);

            //rtb_InPutPar.Text = sInput;

            ChangChun_DRG CC_DRG = new ChangChun_DRG();
            iRtn = CC_DRG.Business_DRG(sInput, out ReMsg);

            if (iRtn == 0)
            {
                rtb_OutPar.Text = "调用BUSINESS_HANDLE业务交易成功，返回值：" + ReMsg;
            }
            else
            {
                rtb_OutPar.Text = "调用BUSINESS_HANDLE业务交易失败，医保动态库返回：" + ReMsg;
            }
        }
    }
}
