﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Common;

using PTMedicalInsurance.Forms;
using PTMedicalInsurance.Helper;
using PTMedicalInsurance.Variables;

namespace PTMedicalInsurance.Business
{
    class STA
    {
        //设置业务实例
        CenterBusiness cBus = new CenterBusiness();
        HisMainBusiness hBus = new HisMainBusiness();
        HisIrisServices hIS = new HisIrisServices();
        MIIrisServices mIS = new MIIrisServices();
        InvokeHelper invoker = new InvokeHelper();


        public delegate void callBack(string errMsg);



        public void CallBack(string errMsg)
        {
            MessageBox.Show(errMsg);
        }


        [STAThread]
        public void PrescribeCirculation(object o)
        {
            try
            {
                //显示处方上传
                PrescriptionCirculation PresCir = new PrescriptionCirculation("");
                //PresCir.WindowState = FormWindowState.Minimized;                            
                PresCir.ShowDialog();
            }
            catch (Exception ex)
            {
                CallBack(ex.Message);
            }

        }


    }


    public class WindowWrapper : System.Windows.Forms.IWin32Window
    {
        public WindowWrapper(IntPtr handle)
        {
            _hwnd = handle;
        }

        public IntPtr Handle
        {
            get { return _hwnd; }
        }

        private IntPtr _hwnd;
    }
}
